LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   SUSE / openSUSE (https://www.linuxquestions.org/questions/suse-opensuse-60/)
-   -   Tovid missing dependency (https://www.linuxquestions.org/questions/suse-opensuse-60/tovid-missing-dependency-568547/)

ionmich 07-11-2007 06:14 PM

Tovid missing dependency
 
While trying to run "tovid" I encounter the following error.

Running command: makemenu -noask -quiet -overwrite -pal -dvd -align northwest -menu-title "My Movie" -menu-title-fontsize 32 -background "/home/ion/nef.jpg" -audio "/home/ion/bin/timer.wav" -length 10 -font "Helvetica" -fontsize 24 -textcolor "rgb(255,255,255)" -fontdeco '-stroke rgb(0,0,0) -strokewidth 1' -button-font "Helvetica" -button ">xxxx" -highlightcolor "rgb(255,255,0)" -selectcolor "rgb(255,0,0)" -button-outline "rgb(140,140,140)" -out "/tmp/Untitled_menu_1"
mpeg2enc MISSING!
mp2enc MISSING!

You are missing CORE tovid dependencies! Please nstall the above MISSING dependencies and try again. See tovid.wikia.com/wiki/Tovid_dependencies or
tovid.org for help.

These two dependencies are supposed to be ncluded in the mpegtools package. I had previously installed mpegtools using Yast and re-ran Yast to confirm that mpegtools is installed, but apparently these two files are missing and a file search does not locate them. Has anyone come across this problem?

Mac_North 07-11-2007 09:20 PM

Which version are you using?

What does type -a mpeg2enc and type -a mp2enc tell you?

ionmich 07-12-2007 01:02 AM

Quote:

Originally Posted by Mac_North
Which version are you using?

What does type -a mpeg2enc and type -a mp2enc tell you?

Suse 10.2 GM and tovid 0.30-0 pm 2

ion@zeus:~> type -a mpeg2enc
bash: type: mpeg2enc: not found
ion@zeus:~> type -a mp2enc
bash: type: mp2enc: not found
ion@zeus:~>

Mac_North 07-12-2007 01:40 AM

mjpegtools not installed
 
Quote:

Originally Posted by ionmich
ion@zeus:~> type -a mpeg2enc
bash: type: mpeg2enc: not found
ion@zeus:~> type -a mp2enc
bash: type: mp2enc: not found
ion@zeus:~>

Strange. mpeg2enc and mp2enc are not installed, but mplex is (otherwise it would've been listed as well). All three are part of the mjpegtools, so they should be installed together. I'd check with your packager; it's not a tovid problem.

ionmich 07-12-2007 02:01 AM

There's a typo error in my posts. "mpegtools" should read "mjepgtools".

ionmich 07-12-2007 02:43 AM

Quote:

Originally Posted by Mac_North
Strange. mpeg2enc and mp2enc are not installed, but mplex is (otherwise it would've been listed as well). All three are part of the mjpegtools, so they should be installed together. I'd check with your packager; it's not a tovid problem.

You are right. The package my Yast used comes from Packman. It's mjpegtools-1.8.0-38.i586.rpm and it does not include the two files in question. Package mjpegtools-1.9.0rc2-1.i586.rpm from Sourceforge does include those files but Yast goes into dependency insanity when I try to install it. It looks like this is going to take some time to straighten out.

Thanks for pointing me in the right direction. I might have more questions later.

ionmich 07-12-2007 04:23 AM

I removed all the offending dependency software and installed mjpegtools-1.9.0rc2-1.i586.rpm from Sourceforge. Then I let Yast install tovid. The GUI ran properly but the DVD burning process errored out.

I sent in a bug report to the tovid forum. I noticed that you (Mac_North) are on that forum so I won't post the log output here.

Thanks for the help getting it running. I hope the tovid forum can help me move further on this project.


All times are GMT -5. The time now is 05:33 PM.